PPA gave me v0.15

Having trouble installing or compiling FreeCAD? Get help here.
User avatar
Mongrel_Shark
Posts: 129
Joined: Sat Oct 15, 2016 9:54 am
Location: Australia

PPA gave me v0.15

Postby Mongrel_Shark » Sat Sep 07, 2019 1:21 am

Hi Guys. Just setting up a new computer. Just installed Ubuntu 16.04. Freecad was the first thing I wanted to install.

Added ppa ok

Code: Select all

mongrel@CADboss:~$ sudo add-apt-repository ppa:freecad-maintainers/freecad-stable
[sudo] password for mongrel: 
 This PPA repository hosts stable releases of FreeCAD for all supported versions of Ubuntu in 32 and 64-Bit architecture. These packages are more up to date than those found on the Ubuntu repositories.

Note: the freecad-doc package brings offline FreeCAD help support, and needs to be installed separately..  

Note: the ccx package brings CalculiX support to the FEM workbench, and needs to be installed separately.
 More info: https://launchpad.net/~freecad-maintainers/+archive/ubuntu/freecad-stable
Press [ENTER] to continue or ctrl-c to cancel adding it

gpg: keyring `/tmp/tmptvr47nja/secring.gpg' created
gpg: keyring `/tmp/tmptvr47nja/pubring.gpg' created
gpg: requesting key 19BB5BCA from hkp server keyserver.ubuntu.com
gpg: /tmp/tmptvr47nja/trustdb.gpg: trustdb created
gpg: key 19BB5BCA: public key "Launchpad PPA for FreeCAD maintainers" imported
gpg: Total number processed: 1
gpg:               imported: 1  (RSA: 1)
OK
Then started winging it (didn't rtfm) and did

Code: Select all

sudo apt-get install freecad
Which installed version 0.15... I was hoping for 0.18.1....

going back to rtfm after purging freecad and re adding the ppa. I get this:

Code: Select all

sudo apt-get install freecad freecad-doc && sudo apt-get upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 freecad : Depends: freecad-python2 but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

What have I done wrong and how do I fix it?
User avatar
Mongrel_Shark
Posts: 129
Joined: Sat Oct 15, 2016 9:54 am
Location: Australia

Re: PPA gave me v0.15

Postby Mongrel_Shark » Sat Sep 07, 2019 2:09 am

Oh almost forgot. I will want the daily 0.19 and legacy 0.16/0.17 (before PDN) as well.
User avatar
Mongrel_Shark
Posts: 129
Joined: Sat Oct 15, 2016 9:54 am
Location: Australia

Re: PPA gave me v0.15

Postby Mongrel_Shark » Sat Sep 07, 2019 3:06 am

Update

I found this thread https://forum.freecadweb.org/viewtopic.php?t=36199
which sugested removing the freecad-docs from the cli command. Which got me running v0.18.1.

Now I just need legacy and daily builds too.... I think there is a link for that. I'll be back after a google.
User avatar
Mongrel_Shark
Posts: 129
Joined: Sat Oct 15, 2016 9:54 am
Location: Australia

Re: PPA gave me v0.15 [solved]

Postby Mongrel_Shark » Sun Sep 08, 2019 11:04 pm

Making this solved because problem in title was solved by not installing the feecad-doc package.
Note i was also able to install freecad-doc after doing the freecad upgrade.

I've googled a bit about the side by side installs for 0.16 and Daily. No luck, even though I'm sure I have seen something before. If anyone has a link for me that would be awesome.
triplus
Posts: 8728
Joined: Mon Dec 12, 2011 4:45 pm

Re: PPA gave me v0.15

Postby triplus » Wed Sep 11, 2019 10:46 am

On Ubuntu 16.04 there is stable PPA providing freecad-python2 package. There is daily PPA, but it doesn't get updated anymore (Ubuntu 16.04).

P.S. There is an AppImage option available:

https://github.com/FreeCAD/FreeCAD/rele ... g/0.19_pre